from matplotlib import pyplot as plt

# histogram
# histograme koristimo kada imamo veliki broj mogucih 
# vrednosti i kada zelimo vizuelno da prikazemo njihovu
# raspodelu

# kreiramo podatke koje zelimo da prikazemo
age = [19,21,24,25,26,26,32,35,36,40,43,55,60,80]
# definisemo granice kategorija koje crtamo na histogramu
bins = [10,20, 30, 40, 50, 60]

# crtamo histogram
# ako izostavimo parametar bins, matplotlib ce automatski odrediti 
# kategorije
plt.hist(age, bins=bins, edgecolor="black")

# uobicajena podesavanja
plt.title("Godine ispitanika")
plt.xlabel("Godine")
plt.ylabel("Broj ispitanika")
#plt.grid()

plt.tight_layout()
# prikazujemo grafik
plt.show()