from matplotlib import pyplot as plt

# stack plot se koristi u situacijama koje su 
# slicne sledecoj:
# zamislimo turnir u kojem ucestvuju timovi sacinjeni od tri
# igraca i zanima nas da tokom trajanja igre u odredjenim trenucima
# znamo ukupan broj poena naseg tima, ali i pojedinacni doprinos svakog
# igraca u timu
# stack plot nam omogucava da vizuelo prikazemo pojedinacne doprinose
# svakog igraca, kao i ukupan skor na istom grafiku, tako sto redja
# pojedinacne doprinose jedan na drugi

# trenuci u kojima merimo doprinose igraca
minutes = [1,2,3,4,5,6,7,8,9,10]

# doprinos svakog igraca u trenucima merenja
p1 = [1,1,1,2,2,3,4,4,5,6]
p2 = [0,1,1,2,3,3,4,5,5,6]
p3 = [2,2,2,3,3,4,5,6,7,7]

# opisi i boje koje koristimo na grafiku
label=["Player 1", "Player 2", "Player 3"]
color=["#dd0000", "#22dd00", "#0022DD"]

# crtamo stack plot
plt.stackplot(minutes, p1, p2, p3, labels=label, colors=color)

# uobicajena podesavanja
plt.legend()
plt.title("Game score")
plt.xlabel("Minutes")
plt.ylabel("Score")
plt.grid()

plt.tight_layout()
# crtamo grafik
plt.show()
